Package com.thaiopensource.relaxng.pattern

## Class CMRelaxNGAttributeValuesCollector

- java.lang.Object
- - com.thaiopensource.relaxng.pattern.AbstractCMRelaxNGCollector
  - - com.thaiopensource.relaxng.pattern.CMRelaxNGAttributeValuesCollector

    public class CMRelaxNGAttributeValuesCollector
    extends AbstractCMRelaxNGCollector

RelaxNG class used to collect enumeration values for a given `AttributePattern`.

NOTE : this class is hosted in 'com.thaiopensource.relaxng.pattern' because `Pattern` implementation like `ElementPattern` are not public. Once https://github.com/relaxng/jing-trang/issues/271 will be fixed we could move this class in 'org.eclipse.lemminx.extensions.relaxng.contentmodel' package.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`CMRelaxNGAttributeValuesCollector​(com.thaiopensource.relaxng.pattern.Pattern pattern)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `caseData​(com.thaiopensource.relaxng.pattern.DataPattern arg0)`
`T` `caseDataExcept​(com.thaiopensource.relaxng.pattern.DataExceptPattern arg0)`
`T` `caseEmpty​(com.thaiopensource.relaxng.pattern.EmptyPattern arg0)`
`T` `caseError​(com.thaiopensource.relaxng.pattern.ErrorPattern arg0)`
`T` `caseList​(com.thaiopensource.relaxng.pattern.ListPattern arg0)`
`T` `caseNotAllowed​(com.thaiopensource.relaxng.pattern.NotAllowedPattern arg0)`
`T` `caseRef​(com.thaiopensource.relaxng.pattern.RefPattern arg0)`
`T` `caseText​(com.thaiopensource.relaxng.pattern.TextPattern arg0)`
`com.thaiopensource.util.VoidValue` `caseValue​(com.thaiopensource.relaxng.pattern.ValuePattern p)`
`List<String>` `getValues()`

### Methods inherited from class com.thaiopensource.relaxng.pattern.AbstractCMRelaxNGCollector

`caseAfter, caseAttribute, caseBinary, caseChoice, caseElement, caseGroup, caseInterleave, caseOneOrMore, caseOther`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CMRelaxNGAttributeValuesCollector

    public CMRelaxNGAttributeValuesCollector​(com.thaiopensource.relaxng.pattern.Pattern pattern)

### Method Detail

#### caseValue

    public com.thaiopensource.util.VoidValue caseValue​(com.thaiopensource.relaxng.pattern.ValuePattern p)

#### getValues

    public List<String> getValues()

#### caseEmpty

    public T caseEmpty​(com.thaiopensource.relaxng.pattern.EmptyPattern arg0)

#### caseNotAllowed

    public T caseNotAllowed​(com.thaiopensource.relaxng.pattern.NotAllowedPattern arg0)

#### caseError

    public T caseError​(com.thaiopensource.relaxng.pattern.ErrorPattern arg0)

#### caseData

    public T caseData​(com.thaiopensource.relaxng.pattern.DataPattern arg0)

#### caseDataExcept

    public T caseDataExcept​(com.thaiopensource.relaxng.pattern.DataExceptPattern arg0)

#### caseText

    public T caseText​(com.thaiopensource.relaxng.pattern.TextPattern arg0)

#### caseList

    public T caseList​(com.thaiopensource.relaxng.pattern.ListPattern arg0)

#### caseRef

    public T caseRef​(com.thaiopensource.relaxng.pattern.RefPattern arg0)